%define	name	ndiswrapper
%define	version	0.9
%define	release	1mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		System/Configuration/Hardware
URL:		http://ndiswrapper.sourceforge.net/
Source0: 	http://prdownloads.sourceforge.net/ndiswrapper/%{name}-%{version}.tar.bz2
Prereq: 	/bin/sh, fileutils, hotplug
Requires: 	kernel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary: 	NdisWrapper binary loader utility

%description
Some vendors refuses to release specs or even a binary 
linux-driver for their WLAN cards. This project tries 
to solve this problem by making a kernel module that 
can load Ndis (windows network driver API) drivers. 
We're not trying to implement all of the Ndis API 
but rather implement the functions needed to get 
these unsupported cards working.

%prep
%setup -q

%build
pushd utils
%ifarch ppc
%make CFLAGS="$RPM_OPT_FLAGS" loadndisdriver
%else
%make CFLAGS="$RPM_OPT_FLAGS"
%endif 
popd

%install
rm -rf $RPM_BUILD_ROOT
install -m755 utils/loadndisdriver -D $RPM_BUILD_ROOT/sbin/loadndisdriver
install -m755 utils/ndiswrapper -D $RPM_BUILD_ROOT%{_sbindir}/ndiswrapper
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%ifnarch ppc
install -m755 utils/wlan_radio_averatec_5110hx $RPM_BUILD_ROOT%{_sbindir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/bin/echo -e "please download binary driver at http://ndiswrapper.sourceforge.net/supported_chipsets.html\nuse ndiswrapper -i <inffile.inf> as root to install driver"

%files
%defattr(-,root,root) 
%doc AUTHORS README ChangeLog INSTALL
%defattr(0755,root,root) 
%{_sbindir}/ndiswrapper
%ifnarch ppc
%{_sbindir}/wlan_radio_averatec_5110hx
%endif
/sbin/loadndisdriver
%{_sysconfdir}/%{name}

%changelog
* Fri Aug 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9-1mdk
- 0.9
- cleanups

* Wed Jul 21 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8-1mdk
- 0.8.

* Wed May 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.7-5mdk
- try again to drop wlan_radio_averatec_5110hx build on ppc

* Mon May 17 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.7-4mdk
- add /etc/ndiswrapper directory.
- loadndiswrapper need to be in /sbin path (called from kernel module driver).

* Wed May 12 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.7-3mdk
- include INSTALL doc with the info on how to setup/install drivers

* Tue May 11 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.7-2mdk
- drop wlan_radio_averatec_5110hx build on ppc, include the bin otherwise

* Wed Apr 28 2004 Austin Acton <austin@mandrake.org> 0.7-1mdk
- 0.7

* Fri Mar 12 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.4-1mdk
- bump version to 0.4.

* Tue Dec 16 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.2-1mdk
- First version for MandrakeSoft.
